App\Library\Amazon\Classes\VideoGames:
    xml_root_name: VideoGames
    properties:
        consoleVideoGamesGenre:
            expose: true
            access_type: public_method
            serialized_name: ConsoleVideoGamesGenre
            accessor:
                getter: getConsoleVideoGamesGenre
                setter: setConsoleVideoGamesGenre
            xml_list:
                inline: true
                entry_name: ConsoleVideoGamesGenre
            type: array<string>
        eSRBRating:
            expose: true
            access_type: public_method
            serialized_name: ESRBRating
            accessor:
                getter: getESRBRating
                setter: setESRBRating
            type: string
        bBFCRating:
            expose: true
            access_type: public_method
            serialized_name: BBFCRating
            accessor:
                getter: getBBFCRating
                setter: setBBFCRating
            type: string
        pEGIRating:
            expose: true
            access_type: public_method
            serialized_name: PEGIRating
            accessor:
                getter: getPEGIRating
                setter: setPEGIRating
            type: string
        uSKRating:
            expose: true
            access_type: public_method
            serialized_name: USKRating
            accessor:
                getter: getUSKRating
                setter: setUSKRating
            type: string
        hardwarePlatform:
            expose: true
            access_type: public_method
            serialized_name: HardwarePlatform
            accessor:
                getter: getHardwarePlatform
                setter: setHardwarePlatform
            xml_list:
                inline: true
                entry_name: HardwarePlatform
            type: array<string>
        bundles:
            expose: true
            access_type: public_method
            serialized_name: Bundles
            accessor:
                getter: getBundles
                setter: setBundles
            type: string
        eSRBDescriptors:
            expose: true
            access_type: public_method
            serialized_name: ESRBDescriptors
            accessor:
                getter: getESRBDescriptors
                setter: setESRBDescriptors
            xml_list:
                inline: true
                entry_name: ESRBDescriptors
            type: array<string>
        pEGIDetails:
            expose: true
            access_type: public_method
            serialized_name: PEGIDetails
            accessor:
                getter: getPEGIDetails
                setter: setPEGIDetails
            type: App\Library\Amazon\Classes\PEGIDetailsType
        maxNumberOfPlayers:
            expose: true
            access_type: public_method
            serialized_name: MaxNumberOfPlayers
            accessor:
                getter: getMaxNumberOfPlayers
                setter: setMaxNumberOfPlayers
            type: integer
        numberOfLicenses:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLicenses
            accessor:
                getter: getNumberOfLicenses
                setter: setNumberOfLicenses
            type: integer
